Last Comment Bug 881788 - Reissue is a 404
: Reissue is a 404
Status: RESOLVED FIXED
:
Product: Marketplace
Classification: Server Software
Component: API (show other bugs)
: 1.5
: x86 Mac OS X
: P1 normal (vote)
: 2013-06-20
Assigned To: Andy McKay [:andym]
:
:
Mentors:
Depends on: 757226
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 10:09 PDT by Andy McKay [:andym]
Modified: 2013-06-19 06:40 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Andy McKay [:andym] 2013-06-11 10:09:43 PDT
This url added in bug 781258 is a 404. Would like to get this fixed before real receipts go out, because we can't change them.

This possibly could be the same page as bug 881450.
Comment 1 Andy McKay [:andym] 2013-06-11 12:54:23 PDT
How a reissue works is here:

https://wiki.mozilla.org/Apps/WebApplicationReceiptRefresh

Since refresh and reissue can't work until bug 757226 is done, there's not much to do here apart from make a sane and stable end point that we can add replace to later on.
Comment 2 Wil Clouser [:clouserw] 2013-06-12 10:56:17 PDT
Sounds like we just point to the same place as bug 881450.  1 line fix!
Comment 3 Andy McKay [:andym] 2013-06-12 13:45:39 PDT
Actually after chatting to Davor about it, I think this should be something slightly different. The actually goal of doing the POST of the receipt is to make the update as silent as possible. There's no need to bother the user and client, unless something goes wrong.

Given that the replaceReceipt API is on the platform, I think this should just be an API end point in marketplace. Something like /api/v1/receipt/replace/ maybe.

Re-assigning over to the API team. The end point doesn't have to do anything yet. Just return a 200 OK. But it CANNOT change. So this makes it a simple bug.
Comment 4 Andy McKay [:andym] 2013-06-18 12:36:28 PDT
https://github.com/mozilla/zamboni/commit/7d73ba
Comment 5 Iulian Timis 2013-06-19 06:40:21 PDT
Please add STR here or mark it with [qa-] if no QA is needed.

Note You need to log in before you can comment on or make changes to this bug.